org.bdgenomics.adam.converters

# AlignmentConverter

###
Related Doc: package converters

#### class AlignmentConverter extends Serializable

This class contains methods to convert Alignments to other formats.

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AlignmentConverter
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new AlignmentConverter()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### def convert(adamRecord: Alignment, header: SAMFileHeader, rgd: ReadGroupDictionary): SAMRecord

   Converts a single ADAM record into a SAM record.

   Converts a single ADAM record into a SAM record.

   adamRecord

     ADAM formatted alignment to convert.

   header

     SAM file header to attach to the record.

   rgd

     Dictionary describing the read groups that are in the RDD that this read is from.

   returns

     Returns the record converted to htsjdk format. Can be used for output to SAM/BAM.

7. #### def convertFragment(fragment: Fragment): Iterable[Alignment]

   Converts a fragment to a set of reads.

   Converts a fragment to a set of reads.

   fragment

     Fragment to convert.

   returns

     The collection of alignments described by the fragment. If the fragment doesn't contain any alignments, this method will return one unaligned Alignment per sequence in the Fragment.

8. #### def convertSecondReadToTab5(adamRecord: Alignment, writeOriginalQualityScores: Boolean = false): String

   Converts a single record representing the second read of a pair to Bowtie tab5 format.

   Converts a single record representing the second read of a pair to Bowtie tab5 format.

   In Bowtie tab5 format, each alignment or pair is on a single line. An unpaired alignment line is [name]\t[seq]\t[qualityScores]\n. A paired-end read line is [name]\t[seq1]\t[qualityScores1]\t[seq2]\t[qualityScores2]\n.

   If the base quality scores are unknown (qualityScores is null or equals "*"), the quality scores will be a repeated string of 'B's that is equal to the read length.

   adamRecord

     Read to convert to FASTQ.

   writeOriginalQualityScores

     If true and the original base quality scores field is set (SAM "OQ" tag), outputs the original quality scores. Else, output the qualityScores field. Defaults to false.

   returns

     Returns this read in string form.

9. #### def convertToFastq(adamRecord: Alignment, maybeAddSuffix: Boolean = false, writeOriginalQualityScores: Boolean = false): String

   Converts a single record to FASTQ format.

   Converts a single record to FASTQ format.

   FASTQ format is:

       @readName
       sequence
       +<optional readname>
       ASCII quality scores

   If the base quality scores are unknown (qualityScores is null or equals "*"), the quality scores will be a repeated string of 'B's that is equal to the read length.

   adamRecord

     Read to convert to FASTQ.

   maybeAddSuffix

     If true, check if a "/%d" suffix is attached to the read. If there is no suffix, a slash and the number of the read in the sequenced fragment is appended to the readname. Default is false.

   writeOriginalQualityScores

     If true and the original base quality score field is set (SAM "OQ" tag), outputs the original quality scores. Else, output the qualityScores field. Defaults to false.

   returns

     Returns this read in string form.

10. #### def convertToTab5(adamRecord: Alignment, writeOriginalQualityScores: Boolean = false): String

    Converts a single record to Bowtie tab5 format.

    Converts a single record to Bowtie tab5 format.

    In Bowtie tab5 format, each alignment or pair is on a single line. An unpaired alignment line is [name]\t[seq]\t[qualityScores]\n. A paired-end read line is [name]\t[seq1]\t[qualityScores1]\t[seq2]\t[qualityScores2]\n.

    The index suffix will be trimmed from the read name if present.

    If the base quality scores are unknown (qualityScores is null or equals "*"), the quality scores will be a repeated string of 'B's that is equal to the read length.

    adamRecord

      Read to convert to FASTQ.

    writeOriginalQualityScores

      If true and the original base quality scores field is set (SAM "OQ" tag), outputs the original quality scores. Else, output the qualityScores field. Defaults to false.

    returns

      Returns this read in string form.

11. #### def convertToTab6(adamRecord: Alignment, maybeAddSuffix: Boolean = false, writeOriginalQualityScores: Boolean = false): String

    Converts a single record to Bowtie tab6 format.

    Converts a single record to Bowtie tab6 format.

    In Bowtie tab6 format, each alignment or pair is on a single line. An unpaired alignment line is [name]\t[seq]\t[qualityScores]\n. For paired-end alignments, the second end can have a different name from the first: [name1]\t[seq1]\t[qualityScores1]\t[name2]\t[seq2]\t[qualityScores2]\n.

    If the base quality scores are unknown (qualityScores is null or equals "*"), the quality scores will be a repeated string of 'B's that is equal to the read length.

    adamRecord

      Read to convert to FASTQ.

    maybeAddSuffix

      If true, check if a "/%d" suffix is attached to the read. If there is no suffix, a slash and the number of the read in the sequenced fragment is appended to the readname. Default is false.

    writeOriginalQualityScores

      If true and the original base quality scores field is set (SAM "OQ" tag), outputs the original quality scores. Else, output the qualityScores field. Defaults to false.

    returns

      Returns this read in string form.

12. #### def createSAMHeader(sd: SequenceDictionary, rgd: ReadGroupDictionary): SAMFileHeader

    Creates a SAM formatted header.

    Creates a SAM formatted header. This can be used with SAM or BAM files.

    sd

      Reference sequence dictionary to use for conversion.

    rgd

      Dictionary containing read groups.

    returns

      Converted SAM formatted record.

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

23. #### def toString(): String

    Definition Classes
      AnyRef → Any

24. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped